
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.entity.BenutzerEinsatzortMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.BenutzerEinsatzortExportDescription;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;

public class BenutzerEinsatzortExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private BenutzerEinsatzortMeta meta;

  @Inject
  private BenutzerEinsatzortExportDescription benutzerEinsatzortExportDescription;

  public BenutzerEinsatzortExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return benutzerEinsatzortExportDescription;
  }

  @Override
  protected Meta getMeta() {
    return meta;
  }
}
